select
  sum((case when (coalesce(c1.sexo, par.sexocria1)) = 'F' then 1 else 0 end) + (case when (coalesce(c2.sexo, par.sexocria2)) = 'F' then 1 else 0 end)) as femeas
  , cast(((cast((sum((case when (coalesce(c1.sexo, par.sexocria1)) = 'F' then 1 else 0 end) + (case when (coalesce(c2.sexo, par.sexocria2)) = 'F' then 1 else 0 end))) as decimal(15,3)) /
    cast(((sum((case when (coalesce(c1.sexo, par.sexocria1)) = 'F' then 1 else 0 end) + (case when (coalesce(c2.sexo, par.sexocria2)) = 'F' then 1 else 0 end))
        +
     sum((case when (coalesce(c1.sexo, par.sexocria1)) = 'M' then 1 else 0 end) + (case when (coalesce(c2.sexo, par.sexocria2)) = 'M' then 1 else 0 end)))) as decimal(15,3)))*100) as decimal(15,2)) as percentual_femeas
  , sum((case when (coalesce(c1.sexo, par.sexocria1)) = 'M' then 1 else 0 end) + (case when (coalesce(c2.sexo, par.sexocria2)) = 'M' then 1 else 0 end)) as machos
  , cast(((cast((sum((case when (coalesce(c1.sexo, par.sexocria1)) = 'M' then 1 else 0 end) + (case when (coalesce(c2.sexo, par.sexocria2)) = 'M' then 1 else 0 end))) as decimal(15,3)) /
    cast(((sum((case when (coalesce(c1.sexo, par.sexocria1)) = 'F' then 1 else 0 end) + (case when (coalesce(c2.sexo, par.sexocria2)) = 'F' then 1 else 0 end))
        +
     sum((case when (coalesce(c1.sexo, par.sexocria1)) = 'M' then 1 else 0 end) + (case when (coalesce(c2.sexo, par.sexocria2)) = 'M' then 1 else 0 end)))) as decimal(15,3)))*100) as decimal(15,2)) as percentual_machos
  , (sum((case when (coalesce(c1.sexo, par.sexocria1)) = 'F' then 1 else 0 end) + (case when (coalesce(c2.sexo, par.sexocria2)) = 'F' then 1 else 0 end))
        +
     sum((case when (coalesce(c1.sexo, par.sexocria1)) = 'M' then 1 else 0 end) + (case when (coalesce(c2.sexo, par.sexocria2)) = 'M' then 1 else 0 end))) as total
from
  reproducao par
  left join animal c1 on c1.cdanimal =
    (select first 1 re.cdanimal from animal re where re.cdreproducao = par.cdreproducao order by re.cdanimal asc)
  left join animal c2 on c2.cdreproducao = par.cdreproducao and c2.cdanimal <> c1.cdanimal and c2.cdanimal > c1.cdanimal
  join animal an on an.cdanimal = par.cdanimal
where
  par.cdtiporeproducao = 7
  and par.data between 
---INFORMAR O INCIO DO PERODO NO FORMATO AAAA-MM-DD
'2014-01-01'
and 
---INFORMAR O FINAL DO PERODO NO FORMATO AAAA-MM-DD
'2014-12-31'
